Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.gui
Interface GUIInterface

All Known Implementing Classes:
  GUIAWT, GUISwing

public interface GUIInterface

Method Summary
`java.io.File` | `selectFile(java.awt.Frame parent, java.lang.String title, java.lang.String cwd, java.lang.String deffile, boolean save)`
`java.lang.String` | `setPassword(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`void` | `showAlert(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`boolean` | `showConfirm(java.lang.String title, java.lang.String message, int rows, int cols, java.lang.String yesLbl, java.lang.String noLbl, boolean defAnswer, java.awt.Frame parent, boolean xscroll, boolean yscroll)`
`void` | `showNotice(java.awt.Frame parent, java.lang.String title, java.lang.String text, int rows, int cols, boolean scrollbar)`
`java.lang.String` | `textInput(java.lang.String title, java.lang.String message, java.awt.Frame parent, char echo, java.lang.String defaultValue, java.lang.String prompt)`

Method Detail

### showAlert

    public void showAlert(java.lang.String title,
                          java.lang.String message,
                          java.awt.Frame parent)

### showConfirm

    public boolean showConfirm(java.lang.String title,
                               java.lang.String message,
                               int rows,
                               int cols,
                               java.lang.String yesLbl,
                               java.lang.String noLbl,
                               boolean defAnswer,
                               java.awt.Frame parent,
                               boolean xscroll,
                               boolean yscroll)

### showNotice

    public void showNotice(java.awt.Frame parent,
                           java.lang.String title,
                           java.lang.String text,
                           int rows,
                           int cols,
                           boolean scrollbar)

### selectFile

    public java.io.File selectFile(java.awt.Frame parent,
                                   java.lang.String title,
                                   java.lang.String cwd,
                                   java.lang.String deffile,
                                   boolean save)

### textInput

    public java.lang.String textInput(java.lang.String title,
                                      java.lang.String message,
                                      java.awt.Frame parent,
                                      char echo,
                                      java.lang.String defaultValue,
                                      java.lang.String prompt)

### setPassword

    public java.lang.String setPassword(java.lang.String title,
                                        java.lang.String message,
                                        java.awt.Frame parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD